Subject: [Bug 207129] PowerMac G4 DP (5.6.2 debug kernel + inline KASAN) freezes shortly after booting with "do_IRQ: stack overflow: 1760"

From: [email-masked]
Date: Wed, 28 Feb 2024 21:44:50 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=207129

Erhard F. ([email-masked]) changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|REOPENED                    |RESOLVED
         Resolution|---                         |CODE_FIX

--- Comment #11 from Erhard F. ([email-masked]) ---
You were correct! I forgot about that...

I shrunk the size by using -Os and disabling some debugging stuff and changing
some statically built-in stuff to 'M' without sacrificing debugging
capabilities too much until it fit < 32 MiB:

KASAN_OUTLINE vs.
 # size vmlinux-6.8.0-rc6-PMacG4 
   text    data     bss     dec     hex filename
12367737 6652440 426336 19446513 128baf1 vmlinux-6.8.0-rc6-PMacG4

KASAN_INLINE
 # size vmlinux-6.8.0-rc6-PMacG4 
   text    data     bss     dec     hex filename
24660169 6652440  426336 31738945 1e44c41 vmlinux-6.8.0-rc6-PMacG4

Apart from that I can confirm inline KASAN runs fine now and I really no longer
get this stack overflow when using it.

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.